.my-account {
  margin-bottom: 30px;
  color: #585858;
  font-size: 0.875rem;
  padding-top: 30px;
  padding-bottom: 30px;
  // .my-account__container
  &__container {
    @media (max-width: 75rem) {
      padding-left: 30px;
      padding-right: 30px;
    }
    @media (max-width: 768px) {
      padding-left: 15px;
      padding-right: 15px;
    }
  }
  // .my-account__row
  &__row {
    box-sizing: border-box;
    display: flex;
    flex: 0 1 auto;
    flex-direction: row;
    flex-wrap: wrap;
    margin-right: calc((1.875rem * 0.5) * -1);
    margin-left: calc((1.875rem * 0.5) * -1);
  }
  // .my-account__side-menu-wrapper
  &__side-menu-wrapper {
    flex: 0 0 25%;
    max-width: 25%;
    padding-left: 15px;
    padding-right: 15px;
    @media (max-width: 75rem) {
      max-width: 100%;
      flex: 0 0 100%;
    }
  }
  // .my-account__account
  &__account {
    flex: 0 0 75%;
    max-width: 75%;

    @media (max-width: 75rem) {
      max-width: 100%;
      flex: 0 0 100%;
    }
  }
  // .my-account__side-menu
  &__side-menu {
    width: 100%;
    ul {
      list-style: none;
      margin: 0;
      padding: 0;
      margin-top: 25px;
      li {
        margin-bottom: 27px;
      }
    }
  }
  // .my-account__side-menu-item
  &__side-menu-item {
    text-decoration: none;
    transition: all 0.3s ease-in-out;
    font-weight: 400;
    color: #585858;
    position: relative;
    padding-left: 45px;
    display: flex;
    //

    svg {
      width: 24px;
      height: 24px;
    }
    svg {
      opacity: 0.5;
      position: absolute;
      left: 0;
      top: 50%;
      transform: translateY(-50%);
    }

    p {
      position: relative;
      &::before {
        content: '';
        display: block;
        position: absolute;
        left: 0;
        right: 0;
        bottom: -5px;
        height: 2px;
        background: #000;
        opacity: 0;
        -webkit-transition: all 0.3s ease-in-out;
        -o-transition: all 0.3s ease-in-out;
        transition: all 0.3s ease-in-out;
      }
    }
    // .my-account__side-menu-item_active
    &_active,
    &:hover {
      font-weight: 700;
      color: #000;
      svg {
        opacity: 1;
      }
      p {
        &::before {
          opacity: 1;
        }
      }
    }
  }
  // .my-account__side-menu-separate-line
  &__side-menu-separate-line {
    width: 100%;
    border: 1px solid #e5e5e5;
    margin-bottom: 27px;
    margin-left: 0;
    @media (min-width: 75rem) {
      min-width: 200px;
      max-width: 75%;
    }
  }

  //
  .svg-inline {
  }

  //
  .my-account-notification {
    // .my-account-notification__notification-wrapper
    &__notification-wrapper {
      background: #ffcd00;
      position: absolute;
      display: inline-block;
      margin-left: 5px;
      padding: 0 3px;
    }
    // .my-account-notification__notification-content
    &__notification-content {
      font-weight: 700;
      font-size: 0.6875rem;
      line-height: 0.8rem;
      color: #000;
    }
  }
  &__hide {
    display: none !important;
  }
}

.account-content {
  position: relative;
  padding-left: 15px;
  padding-right: 15px;
  // .account-content__row
  &__row {
    box-sizing: border-box;
    display: flex;
    flex: 0 1 auto;
    flex-direction: row;
    flex-wrap: wrap;
    margin-right: calc((1.875rem * 0.5) * -1);
    margin-left: calc((1.875rem * 0.5) * -1);
  }
  // .account-content__column
  &__column {
    box-sizing: border-box;
    flex: 0 0 auto;
    padding-right: calc((1.875rem * 0.5));
    padding-left: calc((1.875rem * 0.5));
    flex-basis: 100%;
    max-width: 100%;
    @media only screen and (min-width: 48rem) {
      flex-basis: 50%;
      max-width: 50%;
    }
    @media only screen and (min-width: 75rem) {
      flex-basis: 50%;
      max-width: 50%;
    }

    &_secnd {
      @media only screen and (min-width: 48rem) {
        flex-basis: 100%;
        max-width: 100%;
      }
      @media only screen and (min-width: 75rem) {
        flex-basis: 50%;
        max-width: 50%;
      }
    }
    &_big {
      @media only screen and (min-width: 48rem) {
        flex-basis: 100%;
        max-width: 100%;
      }
      @media only screen and (min-width: 75rem) {
        flex-basis: 100%;
        max-width: 100%;
      }
    }
  }
  h4 {
    color: #000;
    font-size: 1rem;
    line-height: 1.15;
    font-weight: 600;
    margin-bottom: 25px;
    margin-top: 25px;
    @media (min-width: 75rem) {
      font-size: 1.125rem;
    }
  }
  h6 {
    font-size: 0.875rem;
    color: #000;
    margin: 0;
    font-weight: 600;
    line-height: 1.15;
  }
  &__btn {
    transition: border-color 0.3s ease-in-out, background-color 0.3s ease-in-out, color 0.3s ease-in-out, -webkit-box-shadow 0.3s ease-out;
    transition: border-color 0.3s ease-in-out, background-color 0.3s ease-in-out, box-shadow 0.3s ease-out, color 0.3s ease-in-out;
    transition: border-color 0.3s ease-in-out, background-color 0.3s ease-in-out, box-shadow 0.3s ease-out, color 0.3s ease-in-out,
      -webkit-box-shadow 0.3s ease-out;
    position: relative;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 0 8px;
    height: 40px;
    cursor: pointer;
    overflow: hidden;
    border: none;
    &[disabled] {
      opacity: 0.17;
      cursor: not-allowed;
    }
  }
  &__btn--default {
    background: 0 0;
    border: 1px solid #000;
    color: #000;
    @media (min-width: 75rem) {
      &:hover {
        font-weight: 700;
        letter-spacing: -0.4px;
        box-shadow: 0 0 0 1px #000 inset;
      }
    }
  }
  // .account-content__btn--fluid
  &__btn--fluid {
    width: 100%;
  }
  // .account-content__btn--wide-medium
  &__btn--wide-medium {
    padding-left: 30px;
    padding-right: 30px;
  }
  // .account-content__btn--primary
  &__btn--primary {
    font-weight: 500;
    color: #fff;
    background: #000;
    &:hover {
      background: #232323;
      color: #fff;
    }
  }
  // .account-content__btn--height-large
  &__btn--height-large {
    font-size: 0.75rem;
    height: 44px;
  }
  // .account-content__btn--small-round
  &__btn--small-round {
    border-radius: 0;
  }
  // .account-content__btn--back
  &__btn--back {
    display: inline-flex;
    align-items: center;
    justify-content: flex-start;
    background: 0 0;
    padding-left: 0;
    border: none;
    text-align: left;
    @media (min-width: 75rem) {
      &:hover {
        font-weight: 700;
        letter-spacing: -0.4px;
        box-shadow: none;
      }
    }
  }
  &__btn--white {
    color: #000;
    border: 1px solid #fff;
    background: #fff;
    span {
      margin-left: 10px;
    }
    @media (min-width: 75rem) {
      &:hover {
        border-color: #000;
        background: #000;
        color: #fff;
      }
    }
  }
}
.grey-box {
  // .grey-box__grey-box
  &__grey-box {
    position: relative;
  }
  // .grey-box__grey-box-button
  &__grey-box-button {
    font-family: inherit;
    line-height: 1.15;
    margin: 0;
    text-transform: none;
    cursor: pointer;
    width: 30px;
    height: 30px;
    border: 0;
    background: #fff;
    border-radius: 50%;
    z-index: 1;
    padding: 0;
    font-size: 14px;
  }
  // .grey-box__grey-box-toggler
  &__grey-box-toggler {
    position: absolute;
    right: 20px;
    top: 20px;
  }
  &__grey-box-blackout {
    transition: all 0.3s ease-in-out;
    opacity: 0.5;
    &:hover {
      opacity: 1;
    }
  }
  // .grey-box__grey-box-content
  &__grey-box-content {
    background: #f7f7f7;
    padding: 27px 30px;
    p {
      margin: 6px 0 0;
      color: #000;
      line-height: 1.15;
      font-size: 0.875rem;
    }

    // step 2 box
    .dynamic-field {
      // .dynamic-field__dynamic-field
      &__dynamic-field {
        position: relative;
      }
    }
    .radio {
      // .radio__radio-group
      &__radio-group {
        padding-top: 0;
        margin-top: 6px;
      }
      // .radio__radio-section
      &__radio-section {
        display: flex;
        align-items: center;
      }
      // .radio__radio-section-vertical
      &__radio-section-vertical {
      }
      // .radio__radio
      &__radio {
      }
    }
    .checkout {
      // .checkout__checkout-radio
      &__checkout-radio {
        padding: 0 1.875rem;
        input {
          display: none;
        }
        label {
          font-size: 0.75rem;
          font-weight: 600;
          position: relative;
          display: inline-flex;
          padding-left: 30px;
          color: #585858;
          cursor: pointer;
          height: 20px;
          align-items: flex-start;
          @media (min-width: 75rem) {
            align-items: center;
          }
          &::before,
          &::after {
            content: '';
            display: block;
            position: absolute;
            top: 50%;
            transform: translateY(-50%);
          }
          &::before {
            width: 20px;
            height: 20px;
            border: 2px solid #3d4043;
            border-radius: 50%;
            left: 0;
          }
          &::after {
            width: 10px;
            height: 10px;
            background: #3d4043;
            border-radius: 50%;
            left: 5px;
            opacity: 0;
            transition: all 0.3s ease-in-out;
          }
        }
        input:checked + label {
          color: #000;
        }
        input:checked + label:after {
          opacity: 1;
        }
      }
    }
    .delivery-address-selector-step-form {
      // .delivery-address-selector-step-form__address-box
      &__address-box {
        margin-top: 15px;
      }
    }
    .side-box {
      // .side-box__side-box
      &__side-box {
        position: relative;
        width: 100%;
      }
      // .side-box__side-box-wrapper
      &__side-box-wrapper {
        background: #f7f7f7;
        padding: 27px 30px;
      }
      // .side-box__side-box-content
      &__side-box-content {
        font-size: 0.875rem;
        font-weight: 600;
        position: relative;
        color: #000;
      }
    }
    .delivery-address {
      // .delivery-address__address
      &__address {
        min-height: 210px;
        span {
          white-space: nowrap;
          overflow: hidden;
          text-overflow: ellipsis;
          padding: 5px 0;
          display: block;
        }
      }
      // .delivery-address__full-name
      &__full-name {
        font-weight: 700;
      }
    }

    //
  }
  // .grey-box__grey-box-content-min-height
  &__grey-box-content-min-height {
    min-height: 210px;
  }
  // .grey-box__grey-box-content-fixed-height
  &__grey-box-content-fixed-height {
    @media (min-width: 75rem) {
      height: 340px;
    }
  }
}

.default-delivery {
  // .default-delivery__default-delivery
  &__default-delivery {
    position: relative;
    margin-top: 25px;
    @media (min-width: 75rem) {
      margin-top: 0;
    }
  }
}
.default-payment {
  // .default-payment__default-payment
  &__default-payment {
    position: relative;
  }
}
.delivery-addresses {
  // .delivery-addresses__delivery-addresses
  &__delivery-addresses {
    position: relative;
    margin-top: 25px;
    min-height: 100px;
  }
  // .delivery-addresses__delivery-addresses-button
  &__delivery-addresses-button {
    width: 100%;
    @media (min-width: 75rem) {
      width: 310px;
    }
  }
}
.delivery-address {
  // .delivery-address__delivery-address
  &__delivery-address {
    position: relative;
    width: 100%;
    margin-bottom: 30px;
  }
  // .delivery-address__grey-box-content
  &__grey-box-content {
    p {
      white-space: nowrap;
      overflow: hidden;
      -o-text-overflow: ellipsis;
      text-overflow: ellipsis;
      margin: 8px 0 0;
      &:first-of-type {
        font-weight: 600;
        margin-top: 15px;
      }
    }
  }
  // .delivery-address__grey-box-content-title
  &__grey-box-content-title {
    font-weight: 700;
    color: #000;
  }
}
.password-change {
  // .password-change__change-password
  &__change-password {
    position: relative;
  }
  // .password-change__change-password-header
  &__change-password-header {
    font-weight: 600;
    font-size: 1.125rem;
    color: #000;
    margin: 24px 0;
  }
}

.dynamic-form {
  // .dynamic-form__wrapper
  &__wrapper {
    &:last-child {
      margin-bottom: 30px;
    }
  }
  // .dynamic-form__dynamic-field
  &__dynamic-field {
    position: relative;
    &:last-of-type {
      margin-bottom: 15px;
    }
    &:not(:first-child) {
      margin-top: 20px;
      @media (min-width: 75rem) {
        margin-top: 18px;
      }
    }
  }
  // .dynamic-form__dynamic-field-static-label
  &__dynamic-field-static-label {
    font-weight: 500;
    font-size: 0.75rem;
    color: #000;
    line-height: 1.15;
  }
  // .dynamic-form__dynamic-field-static-label-mandatory
  &__dynamic-field-static-label-mandatory {
    &::after {
      content: '*';
    }
  }
  // .dynamic-form__row
  &__row {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    &_nowrap {
      flex-wrap: nowrap;
    }
    .dynamic-form__account-user-details {
      width: 100%;
    }
    @media only screen and (min-width: 75rem) {
      .dynamic-form__account-user-details {
        flex-basis: 58.33333%;
        max-width: 58.33333%;
      }
      .dynamic-form__account-user-details-button-wrapper {
        flex-basis: 41.66667%;
        max-width: 41.66667%;
      }
    }
  }
  &__add-new-address-form-buttons {
    margin-top: 20px;
  }
  // .dynamic-form__account-user-details
  &__account-user-details {
    margin-top: 18px;
    width: 100%;
    @media (min-width: 75rem) {
      margin: 18px 0;
      padding-right: 0;
    }
  }
  // .dynamic-form__account-user-details-button-wrapper
  &__account-user-details-button-wrapper {
    margin-bottom: 24px;
    width: 100%;
    @media (min-width: 75rem) {
      margin: 22px 0;
      padding-left: 15px;
    }
  }
  // .dynamic-form__account-user-details-button
  &__account-user-details-button {
    margin-top: 20px;
    @media (min-width: 75rem) {
      margin-top: 16px;
    }
  }
  // .dynamic-form__dynamic-field-checkbox
  &__dynamic-field-checkbox {
    + .dynamic-form__dynamic-field-checkbox {
      margin-top: 10px;
    }
  }
  // .dynamic-form__checkbox
  &__checkbox {
    padding-top: 5px;
    padding-bottom: 5px;
    input {
      display: none;
    }
    input:checked + label {
      color: #000;
    }
    input:checked + label:before {
      border-color: #000;
    }
    input:checked + label:after {
      opacity: 1;
    }
    label {
      font-size: 0.75rem;
      font-weight: 500;
      position: relative;
      display: block;
      align-items: center;
      padding-left: 30px;
      color: #585858;
      line-height: 1.5;
      cursor: pointer;
      @media (min-width: 75rem) {
        font-size: 0.6875rem;
        padding-left: 25px;
      }
      &::before,
      &::after {
        content: '';
        display: block;
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
      }
      &::before {
        width: 18px;
        height: 18px;
        border: 1px solid #585858;
        border-radius: 1px;
        top: 9px;
        left: 0;
        @media (min-width: 75rem) {
          width: 14px;
          height: 14px;
          top: 8px;
        }
      }
      &::after {
        transition: all 0.3s ease-in-out;
        width: 12px;
        height: 12px;
        background: #000;
        top: 9px;
        left: 3px;
        opacity: 0;
        @media (min-width: 75rem) {
          width: 8px;
          height: 8px;
          top: 8px;
        }
      }
    }
  }
  .text-expander {
    // .text-expander__text-wrapper-paragraph
    &__text-wrapper-paragraph {
      margin: 0;
    }
    // .text-expander__text-wrapper-expand

    &__text-wrapper-expand {
      font-weight: 700;
      text-decoration: none;
      transition: all 0.3s ease-in-out;
      cursor: pointer;
      font-size: 0.75rem;
      font-weight: 500;
      position: relative;
      display: block;
      align-items: center;
      padding-left: 30px;
      color: #585858;
      line-height: 1.5;
      cursor: pointer;
      &:hover {
        color: #000;
      }
      @media (min-width: 75rem) {
        font-size: 0.6875rem;
        padding-left: 25px;
      }
      &_show {
        display: block;
      }
      &_hide {
        display: none;
      }
    }
  }
  .input {
    // .input__input-wrapper
    &__input-wrapper {
      opacity: 1;
      position: relative;
      input,
      textarea {
        font-size: 0.875rem;
        font-weight: 500;
      }
      input:not([type='radio']),
      input:not([type='checkbox']) {
        width: 100%;
        height: 40px;
        border-radius: 0;
        border: 1px solid #dbdce0;
        background: 0 0;
        padding-left: 10px;
      }
      input:not([type='radio']):focus,
      input:not([type='checkbox']):focus {
        outline: none;
        border-radius: 0;
        border: 2px solid #3d4043;
        color: #3d4043;
      }
    }
    // .input__error
    &__error {
      input,
      textarea {
        border: 1px solid #c90000 !important;
      }
      .input__input-wrapper-eye-icon {
        color: #c90000;
      }
    }
    // .input__input-wrapper-placeholder
    &__input-wrapper-placeholder {
      margin-top: 6px;
    }

    // .input__input-wrapper-eye-icon
    &__input-wrapper-eye-icon {
      position: absolute;
      right: 15px;
      top: 14px;
      cursor: pointer;
      opacity: 0.3;
      &.active {
        opacity: 1;
      }
    }
  }
  .field-error {
    // .field-error__error
    &__error {
      font-size: 0.6875rem;
      color: #c90000;
      line-height: 1.15;
    }
  }
}
